QGIS Application - Feature request #1160
cmake 2.6 developer warnings
2008-07-16 07:13 PM - John Tull

Status: Closed

Priority: Low

Assignee: Jirgen Fischer

Category: Build/Install

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11220
Description

I'm not sure if this is occurring due to changes in trunk, or if it is from switching to cmake 2.6. | suspect the latter. This is not affecting my
ability to build the source, or in qgis use.

-- Found Proj: /Library/Frameworks/PROJ.framework/unix/lib/libproj.dylib
-- Found Sqlite3: /Library/Frameworks/SQLite3.framework/unix/lib/libsqlite3.dylib
-- Found GEOS: /Library/Frameworks/GEOS.framework/unix/lib/libgeos.dylib
-- Found GDAL: /Library/Frameworks/GDAL.framework/Versions/1.5/unix/lib/libgdal.dylib
-- Found [[PostgreSQL]]: /usr/local/pgsql/lib/libpg.dylib
-- Found Expat: /usr/lib/libexpat.dylib
-- Using GSL from /usr/local
-- Found GRASS: /Applications/GRASS-6.3.app/Contents/MacOS (6.3.0)
-- Python libraries found
-- Python bindings enabled
CMake Warning (dev) at CMakelLists.txt:257 (ADD_DEFINITIONS):
Policy CMPQO005 is not set: Preprocessor definition values are now escaped
automatically. Run "cmake --help-policy CMP0005" for policy details. Use
the cmake_policy command to set the policy and suppress this warning.
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakeLists.txt:258 (ADD_DEFINITIONS):
Policy CMP0O005 is not set: Preprocessor definition values are now escaped
automatically. Run "cmake --help-policy CMP0005" for policy details. Use
the cmake_policy command to set the policy and suppress this warning.
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at CMakelLists.txt:259 (ADD_DEFINITIONS):
Policy CMP0O005 is not set: Preprocessor definition values are now escaped
automatically. Run "cmake --help-policy CMP0005" for policy details. Use
the cmake_policy command to set the policy and suppress this warning.
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at src/providers/grass/CMakeLists.txt:1 (ADD_DEFINITIONS):
Policy CMPQO005 is not set: Preprocessor definition values are now escaped
automatically. Run "cmake --help-policy CMP0005" for policy details. Use
the cmake_policy command to set the policy and suppress this warning.

This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at src/plugins/grass/CMakelLists.txt:4 (ADD_DEFINITIONS):
Policy CMP0O005 is not set: Preprocessor definition values are now escaped
automatically. Run "cmake --help-policy CMP0005" for policy details. Use
the cmake_policy command to set the policy and suppress this warning.
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at src/plugins/grass/CMakelLists.txt:21 (ADD_DEFINITIONS):

Policy CMP0O005 is not set: Preprocessor definition values are now escaped

automatically. Run "cmake --help-policy CMP0005" for policy details. Use

the cmake_policy command to set the policy and suppress this warning.
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at src/python/CMakelLists.txt:9 (ADD_DEFINITIONS):
Policy CMPQO005 is not set: Preprocessor definition values are now escaped
automatically. Run "cmake --help-policy CMP0005" for policy details. Use
the cmake_policy command to set the policy and suppress this warning.

This warning is for project developers. Use -Wno-dev to suppress it.

-- Configuring done
-- Generating done
-- Build files have been written to: /path

History

#1 - 2009-07-23 01:58 AM - Giovanni Manghi

Hi,

is this ticket outdated?

#2 - 2009-07-27 08:41 PM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

| guess this is really outdated, but please reopen if I'm wrong.
